MP4v2

Classes | Public Types | Static Public Member Functions | List of all members
mp4v2::impl::qtff::ColorParameterBox Class Reference

Functional class for colr-box (Color Parameter Box) support. More...

`#include <ColorParameterBox.h>`

## Classes
class | IndexedItem
class | Item
| Data object for colr-box item. More...

## Public Types
typedef vector< IndexedItem > | ItemList

## Static Public Member Functions
static bool | list (MP4FileHandle file, ItemList &itemList)
static bool | add (MP4FileHandle file, uint16_t trackIndex, const Item &item)
| Add colr-box by track-index. More...
static bool | add (MP4FileHandle file, MP4TrackId trackId, const Item &item)
| Add colr-box by track-id. More...
static bool | set (MP4FileHandle file, uint16_t trackIndex, const Item &item)
| Store colr-box (Color Parameter Box) properties by track-index. More...
static bool | set (MP4FileHandle file, MP4TrackId trackId, const Item &item)
| Store colr-box (Color Parameter Box) properties by track-id. More...
static bool | get (MP4FileHandle file, uint16_t trackIndex, Item &item)
| Fetch colr-box (Color Parameter Box) properties by track-index. More...
static bool | get (MP4FileHandle file, MP4TrackId trackId, Item &item)
| Fetch colr-box (Color Parameter Box) properties by track-id. More...
static bool | remove (MP4FileHandle file, uint16_t trackIndex)
| Remove colr-box (Color Parameter Box) by track-index. More...
static bool | remove (MP4FileHandle file, MP4TrackId trackId)
| Remove colr-box (Color Parameter Box) by track-id. More...

## Detailed Description

Functional class for colr-box (Color Parameter Box) support.

A colr-box is expected to be contained in a video track which is one of the following coding types:

- avc1
- mp4v

This implementation assumes a maximum count of 1 for VideoSampleEntry of the supported codings.

This implementation supports parameter-type 'nclc' only.

## Member Function Documentation

## ◆ add() [1/2]

static bool mp4v2::impl::qtff::ColorParameterBox::add | ( | MP4FileHandle | file,
|  | MP4TrackId | trackId,
|  | const Item & | item
| ) |  |
| static

Add colr-box by track-id.

This function adds a colr-box to trackId of file. The track must be a video-track and match one of the supporting codings.

Parameters

  file | on which to operate.
  trackId | on which to operate.
  item | colr-box properties to set.

Returns
  true on failure, false on success.

## ◆ add() [2/2]

static bool mp4v2::impl::qtff::ColorParameterBox::add | ( | MP4FileHandle | file,
|  | uint16_t | trackIndex,
|  | const Item & | item
| ) |  |
| static

Add colr-box by track-index.

This function adds a colr-box to trackId of file. The track must be a video-track and match one of the supporting codings.

Parameters

  file | on which to operate.
  trackIndex | on which to operate.
  item | colr-box properties to set.

Returns
  true on failure, false on success.

## ◆ get() [1/2]

static bool mp4v2::impl::qtff::ColorParameterBox::get | ( | MP4FileHandle | file,
|  | MP4TrackId | trackId,
|  | Item & | item
| ) |  |
| static

Fetch colr-box (Color Parameter Box) properties by track-id.

This function gets the properties of a colr-box (Color Parameter Box).

Parameters

  file | on which to operate.
  trackId | on which to operate.
  item | colr-box properties to set.

Returns
  true on failure, false on success.

## ◆ get() [2/2]

static bool mp4v2::impl::qtff::ColorParameterBox::get | ( | MP4FileHandle | file,
|  | uint16_t | trackIndex,
|  | Item & | item
| ) |  |
| static

Fetch colr-box (Color Parameter Box) properties by track-index.

This function gets the properties of a colr-box (Color Parameter Box).

Parameters

  file | on which to operate.
  trackIndex | on which to operate.
  item | colr-box properties to set.

Returns
  true on failure, false on success.

## ◆ remove() [1/2]

static bool mp4v2::impl::qtff::ColorParameterBox::remove | ( | MP4FileHandle | file,
|  | MP4TrackId | trackId
| ) |  |
| static

Remove colr-box (Color Parameter Box) by track-id.

Parameters

  file | on which to operate.
  trackId | on which to operate.

Returns
  true on failure, false on success.

## ◆ remove() [2/2]

static bool mp4v2::impl::qtff::ColorParameterBox::remove | ( | MP4FileHandle | file,
|  | uint16_t | trackIndex
| ) |  |
| static

Remove colr-box (Color Parameter Box) by track-index.

Parameters

  file | on which to operate.
  trackIndex | on which to operate.

Returns
  true on failure, false on success.

## ◆ set() [1/2]

static bool mp4v2::impl::qtff::ColorParameterBox::set | ( | MP4FileHandle | file,
|  | MP4TrackId | trackId,
|  | const Item & | item
| ) |  |
| static

Store colr-box (Color Parameter Box) properties by track-id.

This function sets the properties of a colr-box (Color Parameter Box).

Parameters

  file | on which to operate.
  trackId | on which to operate.
  item | colr-box properties to set.

Returns
  true on failure, false on success.

## ◆ set() [2/2]

static bool mp4v2::impl::qtff::ColorParameterBox::set | ( | MP4FileHandle | file,
|  | uint16_t | trackIndex,
|  | const Item & | item
| ) |  |
| static

Store colr-box (Color Parameter Box) properties by track-index.

This function sets the properties of a colr-box (Color Parameter Box).

Parameters

  file | on which to operate.
  trackIndex | on which to operate.
  item | colr-box properties to set.

Returns
  true on failure, false on success.